<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador<br>");

switch ($tela):

    case 'listar':
        $sessao = new sessao();
		$conjunto=$sessao->getVar("controle3");
	    if($conjunto<1)$conjunto=1;
	    if($conjunto>3)$conjunto=1;
        if(post('bt_conjunto1') !== "")$conjunto=1;
        if(post('bt_conjunto2') !== "")$conjunto=2;
        if(post('bt_conjunto3') !== "")$conjunto=3;
        $sessao->setVar('controle3',$conjunto) ;       
		
		
		
        echo '<h2>Textos Avulsos cadastrados</h2>';
        echo '<h2>Os conjuntos estarão disponiveis para inserir em observacoes dos documentos .</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro.",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [[0, ""]] 
               }); 
            });
        </script>
        <form class="userform" method="post" action="">
	    <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Linha</th><th>Texto</th><th>Conjunto</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new textosAvulsos();
				$user->extras_select = " where tav_labo=".$idLabo." and tav_conjunto='".$conjunto."'   order by tav_id";  //ele ordena sozinho
                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    $contador++;           
     				echo '<tr>';
                    printf('<td>%s</td>',$contador);
                    printf('<td>%s',$res->tav_texto);
                    printf('
					<a href="?m=avulsos&t=incluir&idAV=%s" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=avulsos&t=editar&idAV=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					 </td>',$res->tav_conjunto,$res->tav_id);
                    printf('<td>%s</td>',$res->tav_conjunto);
                    echo '</tr>';
                endwhile;    
                ?>
            </tbody>
        </table>
       <li class="center">Selecionado o conjunto:<input type="text" size="1" disabled="disabled"   name="tav_conjunto" value="<?php echo $conjunto;?>" />
	   <input type="submit" name="bt_conjunto1" value="Selecionar conjunto 1" />
	   <input type="submit" name="bt_conjunto2" value="Selecionar conjunto 2" />
	   <input type="submit" name="bt_conjunto3" value="Selecionar conjunto 3" />
	   </li>



		     <!-- SE NAO TEM CLIENTE ALGUM ELE DEVE PODER INSERIR O PRIMEIRO, POIS NAO TEM O SINAL DE + E NAO TEM COMO INSERIR O PRIMEIRO ISSO ABRE UMA FORMA MAS SO APARECE SE NAO TEM NENHUM   -->
             <?php if($contador==0):?>	
		        <form class="userform" method="post" action="">
                <fieldset>
                    <ul>
                    <li class="center">	<input type="button" onclick="location.href='?m=avulsos&t=incluir'" value="Incluir o primeiro texto do conjunto selecionado" /></li>
                    </ul>
                </fieldset>
            </form>
			<?php endif; ?>
        </form>
        <?php        
    break;

    case 'incluir':
	    $sessao = new sessao();
		$conjuntoX=$sessao->getVar("controle3");
  	    $duplicado = FALSE;
        echo '<h2>Cadastro de textos avulsos</h2>';
        if (post('bt_cadastrar') !== ""):
            $user = new textosAvulsos(array(
                'tav_conjunto'=>$conjuntoX,
			    'tav_texto'=>post('tav_texto'),
			    'tav_labo'=>$idLabo,
            ));
			//$conjuntoX
			
            //aqui confere para ver se ja tem o tav_tav_texto_comum mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            //if ($user->existeRegistro('tav_texto',post('tav_texto'))):
               // printMSG('Este tav_conjunto já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            //endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=avulsos&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       tav_texto:{required:true, minlength:3},
                       tav_conjunto:{required:true, tav_conjunto:true},
                       login:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe o texto para inserir no conjunto <?php echo $conjuntoX; ?> </legend>
                <ul>
                      <ul>
                    <li>Texto avulso(150 caracteres):<input type="text" size="100" name="tav_texto" maxlength="150"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->tav_texto; ?>" />
				    <li>Conjunto:<input type="text" size="1" name="tav_conjunto" maxlength="2" disabled="disabled" value="<?php echo $conjuntoX; ?>" />

                    <li class="center">
					<input type="button" onclick="location.href='?m=avulsos&t=listar'" value="Cancelar(Listar)" />
					<input type="submit" name="bt_cadastrar" value="Salvar dados" />
					</li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;



    case 'editar':
        echo '<h2>Edição de textos avulsos</h2>';
        $sessao = new sessao();
		$conjuntoX=$sessao->getVar("controle3");
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==get('id')):
            if (get('idAV') !== ""):
                $id = get('idAV');
                if (post('bt_editar1') !== ""):
                    $user = new textosAvulsos(array(
                        'tav_texto'=>post('tav_texto'),
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE tav_id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
   
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=avulsos&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=clientes&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new textosAvulsos();
                $userbd->extras_select = "WHERE tav_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=clientes&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
			
			
			
			
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           tav_texto:{required:true, minlength:3},
                           tav_conjunto:{required:true, tav_conjunto:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração no conjunto <?php echo $conjuntoX; ?></legend>
                    <ul>
				    <li>Texto:<input type="text" size="100" name="tav_texto" value="<?php if($resbd) echo $resbd->tav_texto; ?>" /></li>
				    <li>Conjunto:<input type="text" size="1" name="tav_conjunto"  disabled="disabled"  value="<?php echo $conjuntoX; ?>" /></li>
                    <li class="center">
					<input type="button" onclick="location.href='?m=avulsos&t=listar'" value="Cancelar(listar)" />
					<input type="submit" name="bt_editar1" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;

 



    default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>